.accordion-body {
    color: black;

}

.hero.is-primary {
    background-color: #f7f7f7;
}

.hero-body {
    color: #000;
}

.hero.is-primary .title {
    color: #000;
}

.card-img-logo {
    width: 50% !important;
    height: 200px !important;
    object-fit: contain;
}

.hero.is-primary .navbar-end a:not(.button):not(.dropdown-item):not(.tag), .hero.is-primary strong:hover {
    background-color: #f5f5f5;
    height: 20px;
}

.hero .navbar {
    background: #000;
    color: #000;
}

.table > :not(caption) > * > * {
    background-color: var(--bs-table-bg);
    border-bottom-width: 1px;
    box-shadow: inset 0 0 0 9999px var(--bs-table-accent-bg);
    text-align: center;
}

.table {
    margin-top: 20px;
    display: block;
    overflow-x: auto;
}

thead th {
    width: 0.1%;
}


#logo {
    width: 100%;
    padding: 40px;
    text-align: center;
}

#logo img {
    width: 250px;
}

#data_filter input {
    width: 300px;
}

h1 {
    font-family: 'Corben', Georgia, Times, serif;
}

p, div {
    font-family: 'Nobile', Helvetica, Arial, sans-serif;
}

.pagination, .pagination-list {
    justify-content: center;
}

.notification.is-danger {
    width: 80%;
    margin: 0 auto;
}

.float {
    position: fixed;
    width: 45px;
    height: 45px;
    bottom: 40px;
    left: 40px;
    background-color: #e5e5e5;
    color: #FFF;
    border-radius: 50px;
    text-align: center;
    z-index: 1;
    box-shadow: 2px 2px 3px #999;
    border: solid 1px #c1afaf;
}

.my-float {
    margin-top: 22px;
}


ul {
    line-height: 200%
}


.hero.is-fullheight .hero-body, .hero.is-fullheight-with-navbar .hero-body, .hero.is-halfheight .hero-body {
    align-items: center;
    display: block;
}

.card {
    color: #000000;
    margin-top: 1rem;
}

.topnav {
    background-color: #000;
    overflow: hidden;

}

.topnav a {
    float: right;
    display: block;
    color: #f2f2f2;
    text-align: center;
    padding: 14px 16px;
    text-decoration: none;
    font-size: 17px;
    height: 50px;
}

.topnav a:hover {
    background-color: #1f2023;
    border-bottom: 4px solid #f39609;
}

.topnav a.active {
    background-color: #e94e1b;
    color: white;
}

.topnav .icon {
    display: none;
}

.card-body-cons {
    flex: 1 1 auto;
    padding: 0.3rem;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}

.card1 {
    margin: 0.2rem;
    border: 1px solid rgba(0, 0, 0, .125);
    border-radius: 0.25rem;
}

.card1:hover {
    -webkit-box-shadow: 0 0 5px #999;
    -moz-box-shadow: 0 0 5px #999;
    -ms-box-shadow: 0 0 5px #999;
    box-shadow: 0 0 5px #999;
    color: rgba(0, 0, 0, 0.075);
}

.card-header1 {
    padding: 0.5rem 1rem;
    margin-bottom: 0;
    background-color: rgba(0, 0, 0, .03);
    border-bottom: 1px solid rgba(0, 0, 0, .125);
}

.form-control1 {
    display: block;
    width: 100%;
    padding: 0.375rem 0.75rem;
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
    color: #212529;
    background-color: #fff;
    background-clip: padding-box;
    border: 1px solid #ced4da;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    border-radius: 0.25rem;
    transition: border-color .15s ease-in-out, box-shadow .15s ease-in-out;
    margin-bottom: 0.5rem;
}

.btn-primary1 {
    color: #fff;
    background-color: #0d6efd;
    border-color: #0d6efd;
    display: flex;
    justify-content: center;
    margin: 0 auto;
}

.col-sm-5F {
    flex: 0 0 auto;
    width: 83.33%;
    display: flex;
}

.alert-danger1 {
    color: #842029;
    background-color: #f8d7da;
    border-color: #f5c2c7;
    text-align: center;
}

.mb-3-parte {
    margin-bottom: 1rem !important;
    border: 1px #d9c9c9 solid;
    padding: 1.5rem;
    border-radius: 5px;
}

.alert-info-parte {
    color: #055160;
    background-color: #cff4fc;
    border-color: #b6effb;
    margin-top: 1rem;
    text-align: center;
}

.alert-info-warning {
    color: #721c24;
    background-color: #f8d7da;
    border-color: #f5c6cb;
    margin-top: 1rem;
}

.alert-info-yellow {
    color: #664d03;
    background-color: #fff3cd;
    border-color: #ffecb5;
    margin-top: 1rem;
}

.alert-info-green {
    color: #0f5132;
    background-color: #d1e7dd;
    border-color: #badbcc;
    margin-top: 1rem;
}

.form-select-parte {
    display: block;
    width: 100%;
    padding: 0.375rem 2.25rem 0.375rem 0.75rem;
    -moz-padding-start: calc(0.75rem - 3px);
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
    color: #212529;
    margin: 0.1rem;
    background-color: #fff;
    background-image: url(data:image/svg+xml,%3csvg xmlns= 'http://www.w3.org/2000/svg' viewBox= '0 0 16 16' %3e%3cpath fill= 'none' stroke= '%23343a40' stroke-linecap= 'round' stroke-linejoin= 'round' stroke-width= '2' d= 'M2 5l6 6 6-6' /%3e%3c/svg%3e);
    background-repeat: no-repeat;
    background-position: right 0.75rem center;
    background-size: 16px 12px;
    border: 1px solid #ced4da;
    border-radius: 0.25rem;
    transition: border-color .15s ease-in-out, box-shadow .15s ease-in-out;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
}

.card-header-screen {
    padding: 0.5rem 1rem;
    margin-bottom: 0;
    background-color: black;
    border-bottom: 1px solid black);
}

.card-screen {
    margin: 0.2rem;
    border: 1px solid black;
    border-radius: 0.25rem;
}

.date-screen {
    font-family: verdana, arial, helvetica;
    line-height: 18px;
    font-size: 25px;
    font-weight: bold;
    margin-top: 1%;
    margin-right: 8%;
    margin-left: 8%;
}

.alert-screen {
    position: relative;
    padding: 1rem 1rem;
    margin-bottom: 1rem;
    border: 1px solid transparent;
    border-radius: 0.25rem;
}

.alert-primary-screen {
    color: #000000;
    background-color: #cfe2ff;
    border-color: #b6d4fe;
}

#loading {
    margin: 20px;
    width: 200px;
    height: 200px;
    position: relative;
    display: inline-block;
}

.ldBar {
    position: relative;
}

.ldBar.label-center > .ldBar-label {
    position: absolute;
    top: 50%;
    left: 50%;
    -webkit-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
    text-shadow: 0 0 3px #fff;
}

.ldBar-label:after {
    content: "%";
    display: inline;
}

.ldBar.no-percent .ldBar-label:after {
    content: "";
}

.ldBar path.mainline {
    stroke-width: 4;
    stroke: rgb(233, 78, 27);
    stroke-linecap: round;
}

.ldBar path.baseline {
    stroke-width: 2;
}

.n_inc {
    width: 8rem;
}

.td_all {
    width: 15rem;
}

.td_comm {
    width: 20rem;
}

.td_resp {
    width: 25rem;
}

.td_big {
    height: 3rem;
    width: 35rem;
}

.td_medium {
    height: 3rem;
    width: 25rem;
}

.swal-height {
    height: 70vh;
}

.ui-autocomplete {
    position: absolute;
    top: 100%;
    left: 0;
    z-index: 1000;
    float: left;
    display: none;
    min-width: 160px;
    padding: 4px 0;
    margin: 0 0 10px 25px;
    list-style: none;
    background-color: #ffffff;
    border-color: #ccc;
    border-color: rgba(0, 0, 0, 0.2);
    border-style: solid;
    border-width: 1px;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    border-radius: 5px;
    -webkit-box-shadow: 0 5px 10px rgba(0, 0, 0, 0.2);
    -moz-box-shadow: 0 5px 10px rgba(0, 0, 0, 0.2);
    box-shadow: 0 5px 10px rgba(0, 0, 0, 0.2);
    -webkit-background-clip: padding-box;
    -moz-background-clip: padding;
    background-clip: padding-box;
    *border-right-width: 2px;
    *border-bottom-width: 2px;
    max-height: 200px;
    overflow-y: auto;
    /* prevent horizontal scrollbar */
    overflow-x: hidden;
    /* add padding to account for vertical scrollbar */
    padding-right: 20px;

}

.ui-menu-item > a.ui-corner-all {
    display: block;
    padding: 3px 15px;
    clear: both;
    font-weight: normal;
    line-height: 18px;
    color: #555555;
    white-space: nowrap;
    text-decoration: none;
}

.ui-state-hover, .ui-state-active {
    color: #ffffff;
    text-decoration: none;
    background-color: #0088cc;
    border-radius: 0px;
    -webkit-border-radius: 0px;
    -moz-border-radius: 0px;
    background-image: none;
}

.ui-helper-hidden-accessible {
    position: absolute;
    left: -999em;
}

.contenido {
    overflow-y: scroll;
}

.turnos-anteriores {
    width: 100%;
}

.files input {
    outline: 2px dashed #92b0b3;
    outline-offset: -10px;
    -webkit-transition: outline-offset .15s ease-in-out, background-color .15s linear;
    transition: outline-offset .15s ease-in-out, background-color .15s linear;
    padding: 120px 0px 85px 35%;
    text-align: center !important;
    margin: 0;
    width: 100% !important;
}

.files input:focus {
    outline: 2px dashed #92b0b3;
    outline-offset: -10px;
    -webkit-transition: outline-offset .15s ease-in-out, background-color .15s linear;
    transition: outline-offset .15s ease-in-out, background-color .15s linear;
    border: 1px solid #92b0b3;
}

.files {
    position: relative
}

.files:after {
    pointer-events: none;
    position: absolute;
    top: 60px;
    left: 0;
    width: 50px;
    right: 0;
    height: 56px;
    content: "";
    background-image: url('../img/cloud_icon.png');
    display: block;
    margin: 0 auto;
    background-size: 100%;
    background-repeat: no-repeat;
}

.color input {
    background-color: #f1f1f1;
}

.files:before {
    position: absolute;
    bottom: 10px;
    left: 0;
    pointer-events: none;
    width: 100%;
    right: 0;
    height: 57px;
    content: " or drag it here. ";
    display: block;
    margin: 0 auto;
    color: #2ea591;
    font-weight: 600;
    text-transform: capitalize;
    text-align: center;
}

table-prod {
    width: calc(50% - 10px);
    margin: 5px;
    display: inline-block;
    border-collapse: collapse;
    border: 1px solid black;
}

.machineButton.selected {
    color: white;
}

.machineButton.active {
    box-shadow: 0px 0px 10px #f39609;
    background-color: #e94e1b;
}

.btn-primary-prod {
    --bs-btn-color: #fff;
    --bs-btn-bg: #e94e1b;
    --bs-btn-border-color: #000;
    --bs-btn-hover-color: #FFF;
    --bs-btn-hover-bg: #f39609;
    --bs-btn-hover-border-color: #000;
    --bs-btn-focus-shadow-rgb: 49, 132, 253;
    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: #e94e1b;
    --bs-btn-active-border-color: #000;
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: #fff;
    --bs-btn-disabled-bg: #0d6efd;
    --bs-btn-disabled-border-color: #0d6efd;
}


.alert-primary-prod {
    --bs-alert-color: #fff;
    --bs-alert-bg: #fff;
    --bs-alert-border: solid 2px #dee2e6;
    --bs-alert-border-radius: 10px;
}


.green-row {
    background-color: #8ABF6E !important;
}

.yellow-row {
    background-color: #F8DC54 !important;
}

.red-row {
    background-color: #D06262 !important;
}

.table_amas_check {
    margin-top: 20px;
    overflow-x: auto;
}

.selected-row {
    background-color: #ecebeb;
    color: black;
}

.context-menu {
    position: absolute;
}

.menu {
    display: flex;
    flex-direction: column;
    background-color: #fff;
    border-radius: 10px;
    box-shadow: 0 10px 20px rgb(64 64 64 / 5%);
    padding: 10px 0;
}

.menu > li > a {
    font: inherit;
    border: 0;
    padding: 10px 30px 10px 15px;
    width: 100%;
    display: flex;
    align-items: center;
    position: relative;
    text-decoration: unset;
    color: #000;
    font-weight: 500;
    transition: 0.5s linear;
    -webkit-transition: 0.5s linear;
    -moz-transition: 0.5s linear;
    -ms-transition: 0.5s linear;
    -o-transition: 0.5s linear;
}

.menu > li > a:hover {
    background: #f1f3f7;
    color: #4b00ff;
}

.menu > li > a > i {
    padding-right: 10px;
}

.menu > li.trash > a:hover {
    color: red;
}

.custom-container {
    background-color: #FFFFFF;
    color: #FFFFFF;
    border-radius: 10px; /* Ajusta el valor según tus preferencias */
    border: 3px solid var(--bs-dark-border-subtle); /* Color del borde blanco */
}

.logo-img {
    filter: drop-shadow(0 0 5px white); /* Agregar sombra blanca detrás del logo */
    margin: 10px; /* Espacio entre el logo y las tarjetas */
    height: 40px; /* Altura del logo reducida */
}

.custom-card {
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1); /* Añadir sombra a las tarjetas */
    height: 100%; /* Altura del 100% para ocupar todo el contenedor */
}

.custom-card-body {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    overflow-x: auto;
}
.custom-card-title {
    color: #000;
    font-size: 1.7em;
}
.custom-card-text {
    margin-top: 10px; /* Añadir espacio entre los párrafos */
}

/* Estilo para que la tarjeta ocupe todo el alto cuando sea la única */
.full-height-card {
    height: calc(100vh - 150px); /* Restar la altura del navbar y el logo */
}

.custom-footer{
    margin-top: 2vh;
    justify-content: center; /* Centrar horizontalmente */
    align-items: center;
    display: flex;
}
:fullscreen, ::backdrop {
    background-color: #FFF;
}
.totales {
    font-weight: bold;
    font-size: 1.2em;
    color: #FFF;
    background-color: #000;
}
.td_footer{
    color: #FFF !important;
}
.titulo_card_screen{
    font-size:0.8em;
}
.td_footer{
    color: #FFF;
}